Subject: bug#24523: Base64 images makes Emacs slow

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Sep 2016 09:53:57 +0300

> Date: Sat, 24 Sep 2016 07:37:39 +0200
> From: Andreas Nilsson <[email-masked]>
> 
> When developing Javascript with base64 images in the code Emacs becomes
> slow and laggy, it takes several seconds for a character to input in
> the buffer with such an image string in it.
> 
> I have tried emacs -Q with no mode loaded and the lag is still there,
> what should I do?

Report the details, please.  Ideally, post a recipe, starting with
"emacs -Q" and loading the necessary support libraries, then include
whatever commands are needed to demonstrate the slowness.  Attach
image files needed to reproduce the problem.  Also, include the
details of your platform (if you use report-emacs-bug, it will do that
for you).

Thanks.